
<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body >
	
	
	
	
<?php 
include('../conexion.php'); 

$codfacturatmp=$_GET["codfacturatmp"];
$descuento=$_GET["destot"];




$sel_lineas="SELECT pagos_parciales_lineas.*,web_1001.* FROM pagos_parciales_lineas,web_1001 WHERE pagos_parciales_lineas.codfactura='$codfacturatmp' AND pagos_parciales_lineas.codigo=web_1001.cdgbar ORDER BY pagos_parciales_lineas.numlinea ASC";

//echo $sel_lineas ;
if ($resultado = $mysqli->query($sel_lineas)) 

	
	$preivi2=0;
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
while ($fila = $resultado->fetch_assoc()) {



	$numlinea=$fila["numlinea"];
	$cdgbar=$fila["CDGBAR"];
	$dscart=$fila["DSCART"];
	$cantidad=$fila["cantidad"];
	$preivi=$fila["preivi"];
	$importe=$fila["importe"];
	$impuesto=$fila["impuesto"];

	$tipart=$fila["tipart"];
	$cob_iv=$fila["COB_IV"];
	
	
	
	
	
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }

	
	$importe=$cantidad*$preivi;
	$mondes=$importe*$descuento/100;
	$subtotal=($cantidad*$preivi)+$mondes;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	
	$impuesto=0;
			}
	
	} else {
		
		$impuesto=0;	
	}
	
	
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
		
	$sel_act="UPDATE  pagos_parciales_lineas SET    dcto='$descuento' ,  importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo=$cdgbar ";
	$mysqli->query($sel_act);
	
//echo $sel_act;


}


?>

					<script languaje="javascript">
				parent.document.getElementById("formulario_lineas").submit();	
		</script>


	</body>
</html>